#include <unistd.h>
#include <string.h>
#include <fcntl.h>
#include <sys/types.h>
#include <sys/stat.h>

#include <gtk/gtk.h>

#define BACKLIGHT_DEV "/sys/devices/platform/mxc-bl.0/backlight/mxc-bl/brightness"

static int backlight_fd;

void backlight_setup(void)
{
	backlight_fd = open(BACKLIGHT_DEV, O_WRONLY);
	if (backlight_fd < 0)
		g_error("Unable to open Backlight");

}

void backlight_teardown(void)
{
	close(backlight_fd);
}

void backlight_set(int val)
{
	char buf[16];

	g_snprintf(buf, sizeof(buf), "%d", val);
	write(backlight_fd, buf, strlen(buf));
}

int backlight_get(void)
{
	char buf[16];
	int val;

	read(backlight_fd, buf, sizeof(buf)-1);
	sscanf(buf, "%d", &val);

	return val;
}
