#include <gtk/gtk.h>

static gboolean my_delete_event_handler(GtkWidget *widget,
					GdkEvent  *event,
					gpointer   data)
{
	g_print("delete!\n");

	return FALSE;
}

static void my_destroy_handler(GtkWidget *widget,
			       gpointer   data)
{
	g_print("destroy!\n");

	gtk_main_quit();
}

static void my_clicked_handler(GtkWidget *window,
			       gpointer   data)
{
	g_print("clicked!\n");

	gtk_widget_destroy(window);
}

int main(int argc, char *argv[])
{
	GtkWidget *window;
	GtkWidget *button;

	gtk_init(&argc, &argv);

	window = gtk_window_new(GTK_WINDOW_TOPLEVEL);
	button = gtk_button_new_with_label("Stop!");
	g_signal_connect_swapped(G_OBJECT(button), "clicked",
				 G_CALLBACK(my_clicked_handler),
				 (gpointer)window);

	gtk_container_add(GTK_CONTAINER(window), button);
	gtk_window_fullscreen(GTK_WINDOW(window));
	g_signal_connect(G_OBJECT(window), "delete-event",
			 G_CALLBACK(my_delete_event_handler),
			 NULL);
	g_signal_connect(G_OBJECT(window), "destroy",
			 G_CALLBACK(my_destroy_handler),
			 NULL);
	gtk_widget_show_all(window);

	gtk_main();

	return 0;
}
